From 888392260d2c4373dc685c2026e76256733c4136 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 29 Mar 2019 19:37:35 -0500
Subject: [PATCH v2 04/12] Add comma for readability

---
 doc/src/sgml/backup.sgml              | 2 +-
 doc/src/sgml/bki.sgml                 | 2 +-
 doc/src/sgml/client-auth.sgml         | 4 ++--
 doc/src/sgml/config.sgml              | 4 ++--
 doc/src/sgml/ddl.sgml                 | 2 +-
 doc/src/sgml/indices.sgml             | 2 +-
 doc/src/sgml/installation.sgml        | 2 +-
 doc/src/sgml/logical-replication.sgml | 2 +-
 doc/src/sgml/ref/create_table.sgml    | 2 +-
 doc/src/sgml/ref/create_table_as.sgml | 2 +-
 doc/src/sgml/ref/pgupgrade.sgml       | 4 ++--
 doc/src/sgml/ref/psql-ref.sgml        | 2 +-
 doc/src/sgml/sources.sgml             | 4 ++--
 doc/src/sgml/xoper.sgml               | 2 +-
 14 files changed, 18 insertions(+), 18 deletions(-)

diff --git a/doc/src/sgml/backup.sgml b/doc/src/sgml/backup.sgml
index b67da89..ae41bc7 100644
--- a/doc/src/sgml/backup.sgml
+++ b/doc/src/sgml/backup.sgml
@@ -1024,7 +1024,7 @@ SELECT pg_start_backup('label', true);
      consider during this backup.
     </para>
     <para>
-     As noted above, if the server crashes during the backup it may not be
+     As noted above, if the server crashes during the backup, it may not be
      possible to restart until the <literal>backup_label</literal> file has
      been manually deleted from the <envar>PGDATA</envar> directory.  Note
      that it is very important to never remove the
diff --git a/doc/src/sgml/bki.sgml b/doc/src/sgml/bki.sgml
index aa3d6f8..e27fa76 100644
--- a/doc/src/sgml/bki.sgml
+++ b/doc/src/sgml/bki.sgml
@@ -403,7 +403,7 @@
     8000&mdash;9999.  This minimizes the risk of OID collisions with other
     patches being developed concurrently.  To keep the 8000&mdash;9999
     range free for development purposes, after a patch has been committed
-    to the master git repository its OIDs should be renumbered into
+    to the master git repository, its OIDs should be renumbered into
     available space below that range.  Typically, this will be done
     near the end of each development cycle, moving all OIDs consumed by
     patches committed in that cycle at the same time.  The script
diff --git a/doc/src/sgml/client-auth.sgml b/doc/src/sgml/client-auth.sgml
index 45a3cf3..16bd1ae 100644
--- a/doc/src/sgml/client-auth.sgml
+++ b/doc/src/sgml/client-auth.sgml
@@ -157,7 +157,7 @@ hostnogssenc <replaceable>database</replaceable>  <replaceable>user</replaceable
       </para>
 
       <para>
-       To make use of this option the server must be built with
+       To make use of this option, the server must be built with
        <acronym>SSL</acronym> support. Furthermore,
        <acronym>SSL</acronym> must be enabled
        by setting the <xref linkend="guc-ssl"/> configuration parameter (see
@@ -189,7 +189,7 @@ hostnogssenc <replaceable>database</replaceable>  <replaceable>user</replaceable
       </para>
 
       <para>
-       To make use of this option the server must be built with
+       To make use of this option, the server must be built with
        <acronym>GSSAPI</acronym> support.  Otherwise,
        the <literal>hostgssenc</literal> record is ignored except for logging
        a warning that it cannot match any connections.
diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index e45a321..ab83885 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -3458,7 +3458,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         reached. The default is <literal>pause</literal>, which means recovery will
         be paused. <literal>promote</literal> means the recovery process will finish
         and the server will start to accept connections.
-        Finally <literal>shutdown</literal> will stop the server after reaching the
+        Finally, <literal>shutdown</literal> will stop the server after reaching the
         recovery target.
        </para>
        <para>
@@ -4188,7 +4188,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        </para>
        <para>
         The delay occurs once the database in recovery has reached a consistent
-        state, until the standby is promoted or triggered. After that the standby
+        state, until the standby is promoted or triggered. After that, the standby
         will end recovery without further waiting.
        </para>
        <para>
diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 1fe27c5..612eb23 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3868,7 +3868,7 @@ CREATE INDEX ON measurement (logdate);
     <title>Partition Maintenance</title>
 
     <para>
-      Normally the set of partitions established when initially defining the
+      Normally, the set of partitions established when initially defining the
       table are not intended to remain static.  It is common to want to
       remove old partitions of data and periodically add new partitions for
       new data. One of the most important advantages of partitioning is
diff --git a/doc/src/sgml/indices.sgml b/doc/src/sgml/indices.sgml
index 95c0a19..e940ddb 100644
--- a/doc/src/sgml/indices.sgml
+++ b/doc/src/sgml/indices.sgml
@@ -1081,7 +1081,7 @@ SELECT x FROM tab WHERE x = 'key' AND z &lt; 42;
    scan.  Even in the successful case, this approach trades visibility map
    accesses for heap accesses; but since the visibility map is four orders
    of magnitude smaller than the heap it describes, far less physical I/O is
-   needed to access it.  In most situations the visibility map remains
+   needed to access it.  In most situations, the visibility map remains
    cached in memory all the time.
   </para>
 
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 4493862..847e028 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -2527,7 +2527,7 @@ xcodebuild -version -sdk macosx Path
 </programlisting>
     Note that building an extension using a different sysroot version than
     was used to build the core server is not really recommended; in the
-    worst case it could result in hard-to-debug ABI inconsistencies.
+    worst case, it could result in hard-to-debug ABI inconsistencies.
    </para>
 
    <para>
diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 3f2f674..31c814c 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -201,7 +201,7 @@
 
   <para>
    Subscriptions are dumped by <command>pg_dump</command> if the current user
-   is a superuser.  Otherwise a warning is written and subscriptions are
+   is a superuser.  Otherwise, a warning is written and subscriptions are
    skipped, because non-superusers cannot read all subscription information
    from the <structname>pg_subscription</structname> catalog.
   </para>
diff --git a/doc/src/sgml/ref/create_table.sgml b/doc/src/sgml/ref/create_table.sgml
index 3788011..c47408b 100644
--- a/doc/src/sgml/ref/create_table.sgml
+++ b/doc/src/sgml/ref/create_table.sgml
@@ -1189,7 +1189,7 @@ WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
       This clause specifies optional storage parameters for a table or index;
       see <xref linkend="sql-createtable-storage-parameters"
       endterm="sql-createtable-storage-parameters-title"/> for more
-      information.  For backward-compatibility the <literal>WITH</literal>
+      information.  For backward-compatibility, the <literal>WITH</literal>
       clause for a table can also include <literal>OIDS=FALSE</literal> to
       specify that rows of the new table should not contain OIDs (object
       identifiers), <literal>OIDS=TRUE</literal> is not supported anymore.
diff --git a/doc/src/sgml/ref/create_table_as.sgml b/doc/src/sgml/ref/create_table_as.sgml
index 1371261..d1af36e 100644
--- a/doc/src/sgml/ref/create_table_as.sgml
+++ b/doc/src/sgml/ref/create_table_as.sgml
@@ -142,7 +142,7 @@ CREATE [ [ GLOBAL | LOCAL ] { TEMPORARY | TEMP } | UNLOGGED ] TABLE [ IF NOT EXI
       This clause specifies optional storage parameters for the new table;
       see <xref linkend="sql-createtable-storage-parameters"
       endterm="sql-createtable-storage-parameters-title"/> for more
-      information.   For backward-compatibility the <literal>WITH</literal>
+      information.   For backward-compatibility, the <literal>WITH</literal>
       clause for a table can also include <literal>OIDS=FALSE</literal> to
       specify that rows of the new table should contain no OIDs (object
       identifiers), <literal>OIDS=TRUE</literal> is not supported anymore.
diff --git a/doc/src/sgml/ref/pgupgrade.sgml b/doc/src/sgml/ref/pgupgrade.sgml
index c896882..7fee896 100644
--- a/doc/src/sgml/ref/pgupgrade.sgml
+++ b/doc/src/sgml/ref/pgupgrade.sgml
@@ -726,7 +726,7 @@ psql --username=postgres --file=script.sql postgres
    <application>pg_upgrade</application> launches short-lived postmasters in
    the old and new data directories.  Temporary Unix socket files for
    communication with these postmasters are, by default, made in the current
-   working directory.  In some situations the path name for the current
+   working directory.  In some situations, the path name for the current
    directory might be too long to be a valid socket name.  In that case you
    can use the <option>-s</option> option to put the socket files in some
    directory with a shorter path name.  For security, be sure that that
@@ -793,7 +793,7 @@ psql --username=postgres --file=script.sql postgres
   </para>
 
   <para>
-   In <productname>PostgreSQL</productname> 12 and later small tables by
+   In <productname>PostgreSQL</productname> 12 and later, small tables by
    default don't have a free space map, as a space optimization.  If you are
    upgrading a pre-12 cluster, the free space maps of small tables will
    likewise not be transferred to the new cluster.  
diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 636df6c..3ce9ef6 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -1053,7 +1053,7 @@ testdb=&gt;
         These operations are not as efficient as the <acronym>SQL</acronym>
         <command>COPY</command> command with a file or program data source or
         destination, because all data must pass through the client/server
-        connection.  For large amounts of data the <acronym>SQL</acronym>
+        connection.  For large amounts of data, the <acronym>SQL</acronym>
         command might be preferable.
         </para>
         </tip>
diff --git a/doc/src/sgml/sources.sgml b/doc/src/sgml/sources.sgml
index 79f5322..520bbae 100644
--- a/doc/src/sgml/sources.sgml
+++ b/doc/src/sgml/sources.sgml
@@ -100,7 +100,7 @@ less -x4
    <para>
     There are two required elements for every message: a severity level
     (ranging from <literal>DEBUG</literal> to <literal>PANIC</literal>) and a primary
-    message text.  In addition there are optional elements, the most
+    message text.  In addition, there are optional elements, the most
     common of which is an error identifier code that follows the SQL spec's
     SQLSTATE conventions.
     <function>ereport</function> itself is just a shell function that exists
@@ -473,7 +473,7 @@ Hint:       the addendum
 
    <para>
     Rationale: Messages are not necessarily displayed on terminal-type
-    displays.  In GUI displays or browsers these formatting instructions are
+    displays.  In GUI displays or browsers, these formatting instructions are
     at best ignored.
    </para>
 
diff --git a/doc/src/sgml/xoper.sgml b/doc/src/sgml/xoper.sgml
index 260e43c..55cd3b1 100644
--- a/doc/src/sgml/xoper.sgml
+++ b/doc/src/sgml/xoper.sgml
@@ -375,7 +375,7 @@ table1.column1 OP table2.column2
      Another example is that on machines that meet the <acronym>IEEE</acronym>
      floating-point standard, negative zero and positive zero are different
      values (different bit patterns) but they are defined to compare equal.
-     If a float value might contain negative zero then extra steps are needed
+     If a float value might contain negative zero, then extra steps are needed
      to ensure it generates the same hash value as positive zero.
     </para>
 
-- 
2.1.4

